package com.diagbot.client.hystrix;

import com.diagbot.client.TranServiceClient;
import com.diagbot.dto.DoctorInfoDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.vo.DoctorInfoVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.validation.Valid;
import java.util.List;

/**
 * @Description: 调用信息对接层服务
 * @author: gaodm
 * @time: 2019/2/1 17:00
 */
@Component
@Slf4j
public class TranServiceHystrix implements TranServiceClient {
    @Override
    public RespDTO<List<DoctorInfoDTO>> getDoctorInfo(@Valid DoctorInfoVO doctorInfoVo) {
        log.error("【hystrix】调用{}异常", "getDoctorInfo");
        return null;
    }
//    @Override
//    public Response<ResponseData> bayesPageData(SearchData searchData) {
//        log.error("【hystrix】调用{}异常", "bayesPageData");
//        return null;
//    }
}
